package chess4j.board.directions;

import chess4j.board.Square;

public class NorthEast extends Direction {

	private static NorthEast INSTANCE = new NorthEast();
	
	private NorthEast() {		
	}

	@Override
	public Square next(Square sq) {
		return Square.valueOf(sq.file().east(), sq.rank().north());
	}
	
	public static NorthEast getInstance() {
		return INSTANCE;
	}
}
